Heygen · v2 · Translate · Speed
ผสานการทำงาน
heygen/v2/translate/speed
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/heygen/v2/translate/speed?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/heygen/v2/translate/speed?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/heygen/v2/translate/speed", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/th/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "heygen/v2/translate/speed",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}
}
เรียกใช้โมเดล Heygen · v2 · Translate · Speed (heygen/v2/translate/speed) ผ่าน Doitong API เอกสารสำหรับเอเจนต์: https://doitong.com/th/developers/models/heygen/v2/translate/speed.md
POST https://api.doitong.com/v1/run/heygen/v2/translate/speed?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}
หากสถานะการตอบกลับเป็น "queued" หรือ "running" ให้ส่งคำขอแบบสำรวจ GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 จนกว่าจะเป็น "succeeded" ไฟล์อยู่ใน outputs[].url การส่ง POST https://api.doitong.com/v1/quote/heygen/v2/translate/speed ด้วยบอดี้เดียวกันจะแสดงราคาที่แน่นอนก่อนเรียกใช้
ไฟล์เช่นเดียวกับตัวอย่าง: $0.50 500 เครดิต API ไฟล์ของคุณจะถูกวัดก่อนเรียกใช้ เรียกใช้ในหน้านี้
คีย์ API ใหม่ของคุณ คีย์นี้จะแสดงเฉพาะตอนนี้ และมีอยู่ในโค้ดและช่องคีย์ API ด้านล่างแล้ว เก็บเป็นความลับ: อย่าใส่คีย์นี้ไว้ในโค้ดที่ทำงานบนเบราว์เซอร์
ผลลัพธ์แรกของคุณจะแสดงที่นี่
สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน
สร้างคำขอ
ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า
/run/heygen/v2/translate/speed?wait=20
ใบเสนอราคา → $0.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/heygen/v2/translate/speed?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/heygen/v2/translate/speed?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/heygen/v2/translate/speed", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "heygen/v2/translate/speed",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
},
"wait_seconds": 20
}
}
}
เรียกใช้คำขอนี้
คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API
เกี่ยวกับ Heygen · v2 · Translate · Speed
แปลคำพูดในวิดีโอเป็น `output_language` ที่เลือก โดยรองรับ 178 ภาษา วิดีโอต้นฉบับมีความยาวได้สูงสุด 8 นาที ตัวเลือกประกอบด้วยการแปลเฉพาะเสียง จำนวนผู้พูด ระยะเวลาแบบไดนามิกสำหรับภาษาที่มีอัตราการพูดต่างกัน ID ศัพท์เฉพาะของแบรนด์ ไฟล์ SRT แบบกำหนดเอง และผลลัพธ์คำบรรยาย SRT นี่คือรุ่นที่เร็วกว่า
พารามิเตอร์
ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน
video_urlจำเป็น
video
output_languageจำเป็น
เพิ่มเติมอีก 162 ค่า
MandarinFilipinoSwedishIndonesianUkrainianGreekCzechBulgarianMalaySlovakCroatianTamilFinnishRussianAfrikaans (South Africa)Albanian (Albania)Amharic (Ethiopia)Arabic (Algeria)Arabic (Bahrain)Arabic (Egypt)Arabic (Iraq)Arabic (Jordan)Arabic (Kuwait)Arabic (Lebanon)Arabic (Libya)Arabic (Morocco)Arabic (Oman)Arabic (Qatar)Arabic (Saudi Arabia)Arabic (Syria)Arabic (Tunisia)Arabic (United Arab Emirates)Arabic (Yemen)Armenian (Armenia)Azerbaijani (Latin, Azerbaijan)Bangla (Bangladesh)BasqueBengali (India)Bosnian (Bosnia and Herzegovina)Bulgarian (Bulgaria)Burmese (Myanmar)CatalanChinese (Cantonese, Traditional)Chinese (Jilu Mandarin, Simplified)Chinese (Mandarin, Simplified)Chinese (Northeastern Mandarin, Simplified)Chinese (Southwestern Mandarin, Simplified)Chinese (Taiwanese Mandarin, Traditional)Chinese (Wu, Simplified)Chinese (Zhongyuan Mandarin Henan, Simplified)Chinese (Zhongyuan Mandarin Shaanxi, Simplified)Croatian (Croatia)Czech (Czechia)Danish (Denmark)Dutch (Belgium)Dutch (Netherlands)English (Australia)English (Canada)English (Hong Kong SAR)English (India)English (Ireland)English (Kenya)English (New Zealand)English (Nigeria)English (Philippines)English (Singapore)English (South Africa)English (Tanzania)English (UK)English (United States)Estonian (Estonia)Filipino (Philippines)Finnish (Finland)French (Belgium)French (Canada)French (France)French (Switzerland)GalicianGeorgian (Georgia)German (Austria)German (Germany)German (Switzerland)Greek (Greece)Gujarati (India)Hebrew (Israel)Hindi (India)Hungarian (Hungary)Icelandic (Iceland)Indonesian (Indonesia)Irish (Ireland)Italian (Italy)Japanese (Japan)Javanese (Latin, Indonesia)Kannada (India)Kazakh (Kazakhstan)Khmer (Cambodia)Korean (Korea)Lao (Laos)Latvian (Latvia)Lithuanian (Lithuania)Macedonian (North Macedonia)Malay (Malaysia)Malayalam (India)Maltese (Malta)Marathi (India)Mongolian (Mongolia)Nepali (Nepal)Norwegian Bokmål (Norway)Pashto (Afghanistan)Persian (Iran)Polish (Poland)Portuguese (Brazil)Portuguese (Portugal)Romanian (Romania)Russian (Russia)Serbian (Latin, Serbia)Sinhala (Sri Lanka)Slovak (Slovakia)Slovenian (Slovenia)Somali (Somalia)Spanish (Argentina)Spanish (Bolivia)Spanish (Chile)Spanish (Colombia)Spanish (Costa Rica)Spanish (Cuba)Spanish (Dominican Republic)Spanish (Ecuador)Spanish (El Salvador)Spanish (Equatorial Guinea)Spanish (Guatemala)Spanish (Honduras)Spanish (Mexico)Spanish (Nicaragua)Spanish (Panama)Spanish (Paraguay)Spanish (Peru)Spanish (Puerto Rico)Spanish (Spain)Spanish (United States)Spanish (Uruguay)Spanish (Venezuela)Sundanese (Indonesia)Swahili (Kenya)Swahili (Tanzania)Swedish (Sweden)Tamil (India)Tamil (Malaysia)Tamil (Singapore)Tamil (Sri Lanka)Telugu (India)Thai (Thailand)Turkish (Türkiye)Ukrainian (Ukraine)Urdu (India)Urdu (Pakistan)Uzbek (Latin, Uzbekistan)Vietnamese (Vietnam)Welsh (United Kingdom)Zulu (South Africa)English - Your AccentEnglish - American Accenttranslate_audio_onlyไม่บังคับ
speaker_numไม่บังคับ
enable_dynamic_durationไม่บังคับ
brand_glossary_idไม่บังคับ
srt_urlไม่บังคับ
srt_roleไม่บังคับ
enable_captionไม่บังคับ
พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์
เอาต์พุต
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "heygen/v2/translate/speed",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 500,
"usd": "0.50",
"charged": 500,
"refunded": 0
},
"input": {
"video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"caption_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ฟิลด์ของเอาต์พุต
- video
- object {url, content_type, file_name, file_size}ไฟล์วิดีโอที่มีคำแปล
- caption_file
- object {url, content_type, file_name, file_size} | nullคำบรรยาย SRT ที่สร้างขึ้นเมื่อ `enable_caption` เป็น true
รูปแบบอื่นของ HeyGen v2
โมเดลเพิ่มเติม: ลิปซิงก์และอวตาร
สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/heygen/v2/translate/speed.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt